/*
 * ASTExpression.h
 *
 *  Created on: Nov 4, 2012
 *      Author: attero
 */

#ifndef ASTEXPRESSION_H_
#define ASTEXPRESSION_H_
#include <string>
#include "ASTNode.h"

class ASTExpression : public ASTNode {
public:

	virtual SenchaObject evaluate() = 0;
	virtual SenchaObject execute() = 0;
	ASTExpression();
	virtual ~ASTExpression();
};

#endif /* ASTEXPRESSION_H_ */
